libstdc++: __gnu_pbds::container_traits< Cntnr > Struct Template Reference

libstdc++

__gnu_pbds::container_traits< Cntnr > Struct Template Reference
Extensions » Policy-Based Data Structures » Traits

`#include <tag_and_trait.hpp>`

Inheritance diagram for __gnu_pbds::container_traits< Cntnr >:
[legend]

## Public Types
enum | { order_preserving , erase_can_throw , split_join_can_throw , reverse_iteration }
typedef container_traits_base< container_category > | base_type
typedef Cntnr::container_category | container_category
typedef Cntnr | container_type
typedef base_type::invalidation_guarantee | invalidation_guarantee

## Detailed Description

template<typename Cntnr>
struct __gnu_pbds::container_traits< Cntnr >

Container traits.

Definition at line 418 of file tag_and_trait.hpp.

## Member Typedef Documentation

## ◆ base_type

template<typename Cntnr>

typedef container_traits_base<container_category> __gnu_pbds::container_traits< Cntnr >::base_type

Definition at line 423 of file tag_and_trait.hpp.

## ◆ container_category

template<typename Cntnr>

typedef Cntnr::container_category __gnu_pbds::container_traits< Cntnr >::container_category

Definition at line 422 of file tag_and_trait.hpp.

## ◆ container_type

template<typename Cntnr>

typedef Cntnr __gnu_pbds::container_traits< Cntnr >::container_type

Definition at line 421 of file tag_and_trait.hpp.

## ◆ invalidation_guarantee

template<typename Cntnr>

typedef base_type::invalidation_guarantee __gnu_pbds::container_traits< Cntnr >::invalidation_guarantee

Definition at line 424 of file tag_and_trait.hpp.

## Member Enumeration Documentation

## ◆ anonymous enum

template<typename Cntnr>

anonymous enum

Enumerator
order_preserving | True only if Cntnr objects guarantee storing keys by order.
erase_can_throw | True only if erasing a key can throw.
split_join_can_throw | True only if split or join operations can throw.
reverse_iteration | True only reverse iterators are supported.

Definition at line 426 of file tag_and_trait.hpp.

The documentation for this struct was generated from the following file:

- tag_and_trait.hpp